Show / Hide Table of Contents

# AsyncOnCanvasGroupChangedTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncOnCanvasGroupChangedTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncOnCanvasGroupChangedTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnCanvasGroupChangedAsyncHandler() |
GetOnCanvasGroupChangedAsyncHandler(CancellationToken) |
OnCanvasGroupChangedAsync() |
OnCanvasGroupChangedAsync(CancellationToken) |

### Methods

#### GetOnCanvasGroupChangedAsyncHandler()

    public IAsyncOnCanvasGroupChangedHandler GetOnCanvasGroupChangedAsyncHandler()

##### Returns

IAsyncOnCanvasGroupChangedHandler

#### GetOnCanvasGroupChangedAsyncHandler(CancellationToken)

    public IAsyncOnCanvasGroupChangedHandler GetOnCanvasGroupChangedAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnCanvasGroupChangedHandler

#### OnCanvasGroupChangedAsync()

    public UniTask OnCanvasGroupChangedAsync()

##### Returns

UniTask

#### OnCanvasGroupChangedAsync(CancellationToken)

    public UniTask OnCanvasGroupChangedAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>